Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.event
Class EventListenerList

    java.lang.Object
      net.sourceforge.pebble.event.EventListenerList

    public class EventListenerList

extends java.lang.Object

Maintains a list of listeners, allowing them to be added and removed.

Author:
  Simon Brown

Constructor Summary
`EventListenerList()` Default, no args constructor.

Method Summary
`void` | `addBlogEntryListener(BlogEntryListener listener)` Registers a blog entry listener.
`void` | `addBlogListener(BlogListener listener)` Registers a blog listener.
`void` | `addCommentListener(CommentListener listener)` Registers a comment listener.
`void` | `addTrackBackListener(TrackBackListener listener)` Registers a TrackBack listener.
`java.util.List` | `getBlogEntryListeners()` Gets the list of blog entry listeners.
`java.util.List` | `getBlogListeners()` Gets the list of blog listeners.
`java.util.List` | `getCommentListeners()` Gets the list of comment listeners.
`java.util.List` | `getTrackBackListeners()` Gets the list of TrackBack listeners.
`void` | `removeBlogListener(BlogListener listener)` Unregisters a blog listener.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventListenerList

    public EventListenerList()

  Default, no args constructor.

Method Detail

### getBlogListeners

    public java.util.List getBlogListeners()

  Gets the list of blog listeners.

  Returns:
    a List of BlogListener instances

### addBlogListener

    public void addBlogListener(BlogListener listener)

  Registers a blog listener.

  Parameters:
    `listener` - a BlogListener instance

### removeBlogListener

    public void removeBlogListener(BlogListener listener)

  Unregisters a blog listener.

  Parameters:
    `listener` - a BlogListener instance

### getBlogEntryListeners

    public java.util.List getBlogEntryListeners()

  Gets the list of blog entry listeners.

  Returns:
    a List of BlogEntryListener instances

### addBlogEntryListener

    public void addBlogEntryListener(BlogEntryListener listener)

  Registers a blog entry listener.

  Parameters:
    `listener` - a BlogEntryListener instance

### getCommentListeners

    public java.util.List getCommentListeners()

  Gets the list of comment listeners.

  Returns:
    a List of CommentListener instances

### addCommentListener

    public void addCommentListener(CommentListener listener)

  Registers a comment listener.

  Parameters:
    `listener` - a CommentListener instance

### getTrackBackListeners

    public java.util.List getTrackBackListeners()

  Gets the list of TrackBack listeners.

  Returns:
    a List of TrackBackListener instances

### addTrackBackListener

    public void addTrackBackListener(TrackBackListener listener)

  Registers a TrackBack listener.

  Parameters:
    `listener` - a TrackBackListener instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.